package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.QuestionnaireActiveTypeEnum;

import java.util.List;

public class QuestionnaireUserResultDto{

    private Integer userId;

    private String username;

    private String phone;

    private QuestionnaireActiveTypeEnum activeType;

    private Integer activeId;

    private Integer questionnaireTopicId;

    private List<QuestionnaireResultDto> questionnaireResultDtoList;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public QuestionnaireActiveTypeEnum getActiveType() {
        return activeType;
    }

    public void setActiveType(QuestionnaireActiveTypeEnum activeType) {
        this.activeType = activeType;
    }

    public Integer getActiveId() {
        return activeId;
    }

    public void setActiveId(Integer activeId) {
        this.activeId = activeId;
    }

    public Integer getQuestionnaireTopicId() {
        return questionnaireTopicId;
    }

    public void setQuestionnaireTopicId(Integer questionnaireTopicId) {
        this.questionnaireTopicId = questionnaireTopicId;
    }

    public List<QuestionnaireResultDto> getQuestionnaireResultDtoList() {
        return questionnaireResultDtoList;
    }

    public void setQuestionnaireResultDtoList(List<QuestionnaireResultDto> questionnaireResultDtoList) {
        this.questionnaireResultDtoList = questionnaireResultDtoList;
    }
}
